# gitea.kosmos.org

This repository contains configuration files and other assets, that are used to
deploy and operate this Gitea instance. Feel free to [open
issues](https://gitea.kosmos.org/kosmos/gitea.kosmos.org/issues) for questions,
suggestions, bugs, to-do items, and whatever else you want to discuss or
resolve.

## Building & deploying

To create a new image containing the customizations:

Edit `packer/custom.json` to increment the tag, then run this script (needs
[Packer](https://www.packer.io/) in your path)


    ./script/build_customizations_image


Then edit `kubernetes/gitea-server.yaml` to use the new tag
(`image: eu.gcr.io/fluted-magpie-218106/gitea_custom:$VERSION`) and apply the
change:


    cd kubernetes
    kubectl apply -f gitea-server.yaml
